Bug 786077 - mount script fails with ENOENT on machines without 'glusterd' running on it.
mount script fails with ENOENT on machines without 'glusterd' running on it.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: scripts (Show other bugs)
mainline
Unspecified Unspecified
urgent Severity unspecified
: ---
: ---
Assigned To: Vivek Agarwal
Rahul Hinduja
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-31 06:31 EST by Amar Tumballi
Modified: 2016-02-17 19:02 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:57:07 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-01-31 06:31:56 EST
Description of problem:
snippet on irc #gluster (on freenode)
04:57:19 PM) Prasad: bulde: I got this error message first:
(04:57:21 PM) Prasad: # mount -t glusterfs llm65.in.ibm.com:/my_vol tmp/
(04:57:21 PM) Prasad: cat: /etc/glusterd/vols/*/bricks/*: No such file or directory
(04:57:21 PM) Prasad: Mount failed. Please check the log file for more details.
(04:58:05 PM) Prasad: bulde: I found that /etc/glusterd/vols/ directory was empty.....so created a my_vol/bricks directory inside it

Version-Release number of selected component (if applicable):
master (upstream)
Comment 1 Anand Avati 2012-02-07 05:47:27 EST
CHANGE: http://review.gluster.com/2708 (mount/fuse: check for existence of volfiles) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Rahul Hinduja 2012-06-04 06:22:21 EDT
Verified by the following steps:

1. Deleted the files from /var/lib/glusterd on machine A.
2. Tried to fuse mount from machine A to A.
3. Didn't see the error "cat: /etc/glusterd/vols/*/bricks/*: No such file or directory"

Comparison result between qa20 and qa45

qa20
====

[root@QA-56 glusterd]# pwd
/etc/glusterd
[root@QA-56 glusterd]# ls
[root@QA-56 glusterd]# /etc/init.d/glusterd status
glusterd (pid 30329) is running...
[root@QA-56 glusterd]# /etc/init.d/glusterd stop
Stopping glusterd:                                         [  OK  ]
[root@QA-56 glusterd]# /etc/init.d/glusterd status
glusterd is stopped
[root@QA-56 glusterd]# mkdir /mnt/temp
[root@QA-56 glusterd]# mount -t glusterfs 172.17.251.96:/vol0 /mnt/temp/
cat: /etc/glusterd/vols/*/bricks/*: No such file or directory
Mount failed. Please check the log file for more details.
[root@QA-56 glusterd]# 


qa45
====

[root@QA-54 ~]# cd /etc/glusterd/
[root@QA-54 glusterd]# ls
[root@QA-54 glusterd]# cd /var/lib/glusterd/
[root@QA-54 glusterd]# ls
[root@QA-54 ~]# /etc/init.d/glusterd status
glusterd (pid  22102) is running...
[root@QA-54 ~]# 
[root@QA-54 ~]# mount -t glusterfs 172.17.251.94:/vol0 /mnt/temp/
Mount failed. Please check the log file for more details.
[root@QA-54 ~]# 
[root@QA-54 ~]# /etc/init.d/glusterd stop
Stopping glusterd:                                         [  OK  ]
[root@QA-54 ~]# /etc/init.d/glusterd status
glusterd is stopped
[root@QA-54 ~]# mount -t glusterfs 172.17.251.94:/vol0 /mnt/temp/
Mount failed. Please check the log file for more details.
[root@QA-54 ~]# 



Verified with:

[root@QA-54 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.2 (Santiago)
[root@QA-54 ~]# gluster --version
glusterfs 3.3.0qa45 built on Jun  1 2012 00:10:06
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@QA-54 ~]# 


With the above verification, marking the bug to verified.

Note You need to log in before you can comment on or make changes to this bug.